import { WidgetMeta } from '../../core';
export declare function useWidgetMeta(widget: any): {
    runtimeValuePath: import('vue').ComputedRef<any>;
    widgetMeta: import('vue').ComputedRef<WidgetMeta>;
    fieldMeta: import('vue').ComputedRef<import('../../domain/field/field-binding').FieldDataBindingMeta | undefined>;
    widgetProps: import('vue').ComputedRef<WidgetPropsMeta>;
    widgetType: import('vue').ComputedRef<import('../../domain/widget/component-type').ExternalComponentType>;
    isMultiple: import('vue').ComputedRef<boolean>;
    isAsync: import('vue').ComputedRef<boolean>;
    isDropdown: import('vue').ComputedRef<boolean>;
    isDialog: import('vue').ComputedRef<boolean>;
};
export declare function usePaperWidgetMeta(widget: any): {
    pageWidgetMeta: import('vue').ComputedRef<WidgetMeta>;
    pageWidgetProps: import('vue').ComputedRef<WidgetPropsMeta>;
    widgetType: import('vue').ComputedRef<import('../../domain/widget/component-type').ExternalComponentType>;
};
export declare function useFieldInfo(fieldMeta: () => WidgetMeta['field'] | undefined): {
    fieldList: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta[]>;
    fieldInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta | null>;
    modelInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').ModelMeta | null | undefined>;
};
export declare function useWidgetStaticAttrs(widget: any): {
    docInst: import('vue').ShallowRef<import('../../core').Doc>;
    widgetMeta: import('vue').ComputedRef<WidgetMeta>;
    fieldMeta: import('vue').ComputedRef<import('../../domain/field/field-binding').FieldDataBindingMeta | undefined>;
    widgetProps: import('vue').ComputedRef<WidgetPropsMeta>;
    runtimeValuePath: import('vue').ComputedRef<any>;
    fieldList: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta[]>;
    fieldInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta | null>;
    modelInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').ModelMeta | null | undefined>;
    widgetType: import('vue').ComputedRef<import('../../domain/widget/component-type').ExternalComponentType>;
    isMultiple: import('vue').ComputedRef<boolean>;
    isAsync: import('vue').ComputedRef<boolean>;
    isDropdown: import('vue').ComputedRef<boolean>;
    isDialog: import('vue').ComputedRef<boolean>;
    /** 是否必填 */
    showRequired: import('vue').ComputedRef<boolean>;
    /** 是否禁用 */
    showDisabled: import('vue').ComputedRef<boolean>;
    /** 是否只读 */
    showReadonly: import('vue').ComputedRef<boolean>;
    /** 显示状态 */
    showDisplayStatus: import('vue').ComputedRef<import('../../core/widget/widget-state').WidgetDisplayStatus>;
};
export declare function usePaperWidgetStaticAttrs(widget: any): {
    docInst: import('vue').ShallowRef<import('../../core').Doc>;
    isDesignMode: import('vue').ComputedRef<boolean>;
    pageWidgetMeta: import('vue').ComputedRef<WidgetMeta>;
    pageWidgetProps: import('vue').ComputedRef<WidgetPropsMeta>;
    widgetType: import('vue').ComputedRef<import('../../domain/widget/component-type').ExternalComponentType>;
};
